Subject: Re: bug#24644: 26.0.50; Emacs 25: set-fontset-font does not take effect with some ASCII symbols

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Oct 2016 12:28:05 +0300

> Date: Mon, 10 Oct 2016 18:15:10 +0900
> From: Toshikazu Nakamura <[email-masked]>
> 
> > This is a deliberate change in Emacs 25.1.  Preferring the default
> > face's font is better in the vast majority of cases, because it
> > doesn't disrupt the text alignment.  The preferred charset shown by
> > "C-u C-x =" has nothing to do with selecting the font.  (I also wonder
> > what does a character such as u+2026 has to do with Japanese
> > characters.)
> 
> Thanks for the explanation.
> 
> When you edit Japanese texts, double-width Japanese characters are
> displayed alongside single-width ASCII characters. u+2026 (HORIZONTAL
> ELLIPSIS) and a bunch of other symbols are frequently used in Japanese
> texts and should be displayed as double-width Japanese symbols, at
> least when they occur in parts of the text written in Japanese.
> 
> > I've now added a variable that you can set to disable the new behavior
> > and get back the old pre-Emacs 25.1 behavior, for those users who
> > want/need that.  The change is on the emacs-25 branch, so Emacs 25.2
> > will have it.
> 
> I have tested the change and it is exactly what I wanted.
> 
> I was not sure how to reply the message delivered from the bug
> tracker, so I deleted the CC field just in case.

You should have kept that CC field.

> Thank you for the quick response.

Thanks for testing the fix.